package ballwar.model.paint;
import java.awt.*;
import java.awt.geom.*;

/**
 * Concrete PolygonFactory that creates fish-shaped Polygons that 
 * have a shorter tail and a closed mouth.
 */
public class Fish2PolygonFactory extends PolygonFactory {
  
  /**
   * Constructor that calls the PolygonFactory superclass constructor
   * with the scale factor and polygon points that define the fish
   * shape.
   */
  public Fish2PolygonFactory() {
    super(new AffineTransform(), 1.0/16.0,
          new Point(-12, 10),
          new Point(-9, 3),
          new Point(-8, 4),
          new Point(-4, 5),
          new Point(2, 7),
          new Point(4, 7),
          new Point(9, 6),
          new Point(12, 5),
          new Point(14, 4),
          new Point(15, 3),
          new Point(16, 2),
          new Point(16, 0),
          new Point(16, -2),
          new Point(15, -3),
          new Point(14, -4),
          new Point(12, -5),
          new Point(9, -6),
          new Point(4, -7),
          new Point(2, -7),
          new Point(-4, -5),
          new Point(-8, -4),
          new Point(-9, -3),
          new Point(-12, -10));
  }
}
